## org.eclipse.emf.ecore.xml.type.internal
Class RegEx

    java.lang.Object
      org.eclipse.emf.ecore.xml.type.internal.RegEx

    public final class RegEx

extends java.lang.Object

NOTE: this class is for internal use only.

Nested Class Summary
`static class` `RegEx.Match`
`static class` `RegEx.ParseException`
`static class` `RegEx.RegularExpression` A regular expression matching engine using Non-deterministic Finite Automaton (NFA).
`static class` `RegEx.REUtil`

Constructor Summary
`RegEx()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegEx

    public RegEx()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.